Subject: [IPP] Initial draft of IPP Job and Printer Extensions Set 3 v1.1 posted

From: "Kennedy, Smith \(Wireless & Standards Architect\) via ipp" <[email-masked]>
Date: Wed, 10 Jul 2019 18:42:08 +0000

Greetings,

I've just posted the initial draft of of IPP Job and Printer Extensions Set 3 v1.1. This update includes the following changes:

- Original text copied into new template; change tracking enabled after this to track changes to original content
- All errata from the PWG errata reporting site resolved
- Content from latest draft of PWG Message Catalog Help Extensions (HELPME) integrated into section 9

The new draft is here:

   https://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippjobprinterext3v11-20190710-5100.13.docx <https://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippjobprinterext3v11-20190710-5100.13.docx>
   https://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippjobprinterext3v11-20190710-5100.13.pdf <https://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippjobprinterext3v11-20190710-5100.13.pdf>

There are a number of comments on other possible changes. If you have time, please review before it is presented in an upcoming IPP WG meeting.

Cheers,

Smith

/**
    Smith Kennedy
    HP Inc.
*/

_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp

---

From: Michael Sweet via ipp <[email-masked]>
Date: Thu, 11 Jul 2019 14:53:00 -0400

Smith,

Thanks for doing this!  Some feedback from a quick review:

- Drop -5100.13 from the filename (that's just for published documents)
- Global: remove section references for all of the STD92 stuff (which would have been RFC2911 sections - they don't match up
- Global: fix "reference not found" issues (section 5.6.7 at least)
- I think much of the 1.x content should be moved to a new section 4 model, with the new operations starting in section 5 (in keeping with our current template)
- pages-per-subset should be deprecated, per our prior discussions on the subject (finishings 2.1 has the job-pages-per-set attribute)
- Might as well add the "auto-monochrome" value for print-color-mode as RECOMMENDED.
- Section 5.3 attributes that are READ-ONLY should be moved to a new Job Status Attributes section.
- Section 5.4 should be "Subscription Status Attributes"
- Section 5.5 attributes that are READ-ONLY should be moved to a new Document Status Attributes section.
- Section 5.5.3 (pages) attribute is READ-WRITE (Document Description), per prior registry correction
- Section 5.5.5 (pages-completed-current-copy) should be obsoleted since RFC 3381 has been obsoleted
- Section 5.6 attributes that are READ-ONLY should be moved to a new Printer Status Attributes section.
- Section 5.6.7, table 5: obsolete "job-save" since that spec is getting obsoleted, move "proof-print" to the new EPX spec?
- Section 5.6.8: The examples seem to have a mix of quote styles, maybe "1setOf syntax" instead of "1setOf <type-def-for-job-template-attribute>"
- Global: Remove all of the media-xxx attributes since those are part of Job Extensions v2.0
- Section 5.6.17, table 6: fix title ("multiple-operation-time-out-action")
- Section 5.6.18: Obsolete
- Section 5.6.29 (printer-get-attributes-supported): Drop 'type2'
- Section 5.6.33 (printer-mandantory-job-attributes): Drop 'type2'
- Section 5.6.39.4: example should probably be expanded to include yellow and black (to be realistic), along with a wasteToner or wasteInk entry?
- Section 5.6.40.2: sync up with printer-supply example changes
- Global: Check all 5100.11 references, replace with new specs (5100.7, etc.)
- Section 6.10: Remove (all media-col stuff is in JOBEXT 2.0)
- Section 7.2: Remove? I think these are now defined in Finishings 2.1?
- Sections 7.6 and 7.7: Remove (all media-col stuff is in JOBEXT 2.0)
- Section 9.1: Example on lines 1878 to 1881 uses left/right quotes instead of straight quotes
- Section 10: Might want to wordsmith this now that STD92 has clarified things? Line 1985 also has a typo ("page-range" instead of "page-ranges").
- Table 15: Remove (obsolete) job-cover-back and job-cover-front attributes, change "pages-ranges" to "page-ranges", remove (obsolete) sheet-collate, 
- Section 11.2: "printer-config-change-time" (not printer-description-change-time), remove media-xxx references.
- Global: Update RFC2616 references to the corresponding new RFC723x RFCs...
- Section 16: Drop "using Address style", you should be listed as primary author, move/update others as appropriate

> On Jul 10, 2019, at 2:42 pm, Kennedy, Smith (Wireless & Standards Architect) via ipp <[email-masked]> wrote:
> 
> Greetings,
> 
>    https://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippjobprinterext3v11-20190710-5100.13.docx 
>    https://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippjobprinterext3v11-20190710-5100.13.pdf 
> 

_________________________________________________________
Michael Sweet, Senior Printing System Engineer

---

From: "Kennedy, Smith \(Wireless & Standards Architect\) via ipp" <[email-masked]>
Date: Thu, 11 Jul 2019 19:00:07 +0000

Thanks for the review Mike! I'll resolve these and post an updated interim draft.

In addition to the tweaks below, I was also considering adding in the "print-color-mode" enhancements from my draft "IPP Print Quality Customization Extensions". I'll go ahead and add that, and when we review we can decide whether or not to include that in v1.1.

Smith

> On Jul 11, 2019, at 12:53 PM, Michael Sweet <[email-masked]> wrote:
> 
> Smith,
> 
> - Section 5.6.39.4 <https://protect-us.mimecast.com/s/TeMECW6vDvh50Kn2LupqUUu?domain=5.6.39.4> example should probably be expanded to include yellow and black (to be realistic), along with a wasteToner or wasteInk entry?
> - Section 5.6.40.2 <https://protect-us.mimecast.com/s/dRz-CXDwEwTXmRL1PH7nEG7?domain=5.6.40.2> sync up with printer-supply example changes
> > On Jul 10, 2019, at 2:42 pm, Kennedy, Smith (Wireless & Standards Architect) via ipp <[email-masked] <mailto:[email-masked]>> wrote:
> >
> > Greetings,
> >
> >  https://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippjobprinterext3v11-20190710-5100.13.docx <https://protect-us.mimecast.com/s/zxuyCYExGxuL5qyQWcj8TGD?domain=ftp.pwg.org>
> >  https://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippjobprinterext3v11-20190710-5100.13.pdf <https://protect-us.mimecast.com/s/QV5VCZ6yJyh5zLWEquM8F-c?domain=ftp.pwg.org>
> >
> > https://www.pwg.org/mailman/listinfo/ipp <https://protect-us.mimecast.com/s/taNMC1wq8qiM8oQ1AhAiaQe?domain=pwg.org>
>